Subject: Re: ORGANIC seeds ???

From: [email-masked] (Elizabeth Platt)
Date: 29 May 1995 22:06:53 -0700

Bountiful Gardens also carry a selection of organically grown 
seeds--but don't claim 100% of their stock as organic.  To 
quote their catalog:  "We are frequently asked if our seed is 
organic--some is, but we cannot claim that all is organic, 
strictly speaking...If it is legally organic, or better yet 
bioitensive, it will be noted." 

Their address is:

Bountiful Gardens Seeds
18001 Shafer Ranch Road, Willits CA  95490

Their main catalog offers some unusual items, such as sea kale 
and red brussels sprouts.  

They also publish a separate rare seeds supplement, which costs 
$2.00. 

[email-masked] (Gerald Sacks) wrote:

>
>Seed Saver's Exchange
>3076 North Winn Road
>Decorah, Iowa 52101
>
>I think some of the folks who've replied to the query 
>have missed the point.  The original poster was asking 
>for organically-grown seeds.  This doesn't  mean 
>open-pollinated seeds or untreated seeds (although I'd 
>be surprised  if organically-grown hybrids are 
>available, and it would pretty strange  to chemically 
>treat organically-grown seeds).  I think Seeds of 
>Change  claims all or most of their seeds are 
>organically grown, and Abundant Life  Seed Foundation 
>annotates which varieties are organically grown.
>
>Gerald Sacks			[email-masked]